<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>User Info</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="userForm" class="ion-padding">
    <ion-item lines="full">
      <ion-label position="floating">First Name</ion-label>
      <ion-input type="text" formControlName="firstName"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Last Name</ion-label>
      <ion-input type="text" formControlName="lastName"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Phone</ion-label>
      <ion-input type="tel" formControlName="phone" maxlength="10"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Country</ion-label>
      <ion-input
        type="text"
        formControlName="country"
        maxlength="15"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Province</ion-label>
      <ion-input
        type="text"
        formControlName="province"
        maxlength="255"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">City</ion-label>
      <ion-input type="text" formControlName="city" maxlength="255"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Street</ion-label>
      <ion-input
        type="text"
        formControlName="street"
        maxlength="255"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Address</ion-label>
      <ion-input
        type="text"
        formControlName="address"
        maxlength="150"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Postal/Zip Code</ion-label>
      <ion-input
        type="text"
        formControlName="postalCode"
        maxlength="15"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-40"></div>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!userForm.valid"
      (click)="updateUserInfo()"
      >Update</ion-button
    >
    <div class="bs-xs-20"></div>
  </form>
</ion-content>
